﻿@model CartDto

@if (Model.CartHeader != null && Model.CartDetails.Any())
{
    <form method="post">
        <br/>
        <input asp-for="CartHeader.UserId" hidden="hidden"/>
        <input asp-for="CartHeader.CartHeaderId" hidden="hidden"/>

        <div class="">
            <div class="card border mt-4 container">
                <div class="card-header bg-dark text-light ml-0 row ">
                    <div class="col-6">
                        <i class="fa fa-shopping-cart"></i> &nbsp;
                        Shopping Cart
                    </div>
                    <div class="col-6 text-end">
                        <a asp-action="Index" asp-controller="Home" class="btn btn-outline-warning btn-sm">Continue Shopping</a>
                    </div>
                </div>
                <div class="card-body">
                    <div class=" d-none d-lg-block">
                        <div class="row text-info">
                            <div class="col-lg-2">
                            </div>
                            <div class="col-lg-5">
                                Product Details
                            </div>
                            <div class="col-lg-2">
                                Price
                            </div>
                            <div class="col-lg-2">
                                Count
                            </div>
                            <div class="col-lg-1">
                            </div>
                        </div>
                    </div>

                    <hr/>
                    @foreach (var cartDetail in Model.CartDetails)
                    {
                        <div class="row h-100">
                            <div class="col-4 col-md-2 text-center py-2">
                                <img src="@cartDetail.Product.ImageUrl" class="rounded" width="100%"/>
                            </div>
                            <div class="col-8 col-md-5">
                                <h5>@cartDetail.Product.Name</h5>
                                <div style="font-size:11px;">@Html.Raw(cartDetail.Product.Description)</div>
                            </div>
                            <div class="col-3 col-md-2 pt-md-4" style="font-size:11px;">
                                <span style="font-size:17px;"> @($"{cartDetail.Product.Price:c}")</span>
                            </div>
                            <div class="col-3 col-md-2 pt-md-4" style="font-size:11px;">
                                <span style="font-size:17px;"> @cartDetail.Count</span>
                            </div>
                            <div class="col-2 col-lg-1 p-0 pt-lg-4 text-center">
                                <a asp-action="Remove" asp-route-cartDetailsId="@cartDetail.CartDetailsId" class="btn btn-outline-danger">
                                    <i class="fas fa-trash"></i>
                                </a>
                            </div>
                        </div>
                        <hr/>
                    }
                    <div class="row">
                        <div class="col-6">
                            @if (string.IsNullOrEmpty(Model.CartHeader.CouponCode))
                            {
                                <span>Coupon:</span>
                                <input asp-for="CartHeader.CouponCode"/>
                                <button type="submit" asp-action="ApplyCoupon" class="btn btn-success">Apply</button>

                            }
                            else
                            {
                                <span>Coupon:</span>
                                <input asp-for="CartHeader.CouponCode" disabled="disabled"/>
                                <button type="submit" asp-action="RemoveCoupon" class="btn btn-danger">Remove</button>
                            }
                        </div>
                        <div class="col-6 text-end">
                            <span class="text-danger" style="font-size:21px;">Order Total: @($"{Model.CartHeader.OrderTotal:c}") <br/></span>
                             @if (Model.CartHeader.DiscountTotal > 0)
                             {
                                <span class="text-success">Discount: @($"{Model.CartHeader.DiscountTotal:c}") <br/></span>

                             }
                        </div>
                    </div>
                </div>
                <div class="card-footer row">
                    <div class="col-6 col-md-3 offset-md-6">
                    </div>
                    <div class="col-6 col-md-3">
                        <a asp-action="Checkout" class="btn btn-success form-control ">
                            <span>Checkout</span>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </form>
}
else
{
    <p>Please add items to cart.</p>
}